Bug 523267 - kernel NULL pointer exception after lvcreate segfault during lvm stress test.
Summary: kernel NULL pointer exception after lvcreate segfault during lvm stress test.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel
Version: 6.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Red Hat Kernel Manager
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-14 16:43 UTC by Mike Gahagan
Modified: 2010-07-06 18:53 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-07-06 18:53:11 UTC


Attachments (Terms of Use)

Description Mike Gahagan 2009-09-14 16:43:56 UTC
Description of problem:
device-mapper: snapshots: Invalidating snapshot: Unable to allocate exception.
device-mapper: snapshots: Invalidating snapshot: Unable to allocate exception.
lvcreate[14475]: segfault at 7fff31c7ba88 ip 00000000004605b3 sp 00007fff31c7ba90 error 7 in lvm[400000+9f000]
logger: 2009-09-11 17:12:17 /usr/bin/rhts-test-runner.sh 5191 4020 hearbeat...
BUG: unable to handle kernel NULL pointer dereference at 00000000000000ae
IP: [<ffffffff8124701a>] ima_counts_put+0x34/0xb1
PGD b79d067 PUD 10a10067 PMD 0 
Oops: 0000 [#1] SMP 
last sysfs file: /sys/devices/virtual/block/ram15/range
CPU 0 
Modules linked in: ext2 ipt_MASQUERADE iptable_nat nf_nat bridge stp llc nfsd lockd nfs_acl auth_rpcgss exportfs sunrpc ipv6 cpufreq_ondemand powernow_k8 freq_table dm_multipath snd_hda_codec_realtek snd_hda_intel snd_hda_codec snd_hwdep snd_pcm snd_timer amd64_edac_mod shpchp snd wmi edac_core soundcore i2c_piix4 k8temp snd_page_alloc hwmon joydev serio_raw pata_acpi ata_generic pata_atiixp tg3 floppy radeon ttm drm i2c_algo_bit i2c_core [last unloaded: scsi_wait_scan]
Pid: 15803, comm: lvremove Not tainted 2.6.31-0.174.rc7.git2.fc12.x86_64 #1 HP xw4550 Workstation
RIP: 0010:[<ffffffff8124701a>]  [<ffffffff8124701a>] ima_counts_put+0x34/0xb1
RSP: 0018:ffff880022955d78  EFLAGS: 00010202
RAX: ffff88002807e148 RBX: 0000000000000006 RCX: 00000000e45ee561
RDX: 0000000000000000 RSI: 0000000000000006 RDI: 0000000000000000
RBP: ffff880022955da8 R08: ffff880022955ce8 R09: ffff880022955d18
R10: 00000000e45ee561 R11: 0000000000000000 R12: 0000000000000026
R13: 0000000000000000 R14: ffff880022955e28 R15: fffffffffffffffa
FS:  00007f135e95e7a0(0000) GS:ffff880004400000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00000000000000ae CR3: 00000000101a8000 CR4: 00000000000006f0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Process lvremove (pid: 15803, threadinfo ffff880022954000, task ffff8800321f8000)
Stack:
 ffff880022955da8 00000000e45ee561 0000000000000026 0000000000048003
<0> 0000000000000026 0000000000000000 ffff880022955ef8 ffffffff8114e4b8
<0> 0000000000000000 ffff8800ffffff9c ffff8800321f8000 ffff8800076bea98
Call Trace:
 [<ffffffff8114e4b8>] do_filp_open+0x534/0x9f3
 [<ffffffff8115a32c>] ? alloc_fd+0x4a/0x14b
 [<ffffffff811146c4>] ? might_fault+0x71/0xd9
 [<ffffffff8115a407>] ? alloc_fd+0x125/0x14b
 [<ffffffff8113f3f1>] do_sys_open+0x71/0x131
 [<ffffffff8113f51e>] sys_open+0x33/0x49
 [<ffffffff81012f42>] system_call_fastpath+0x16/0x1b
Code: 48 83 ec 18 0f 1f 44 00 00 65 48 8b 04 25 28 00 00 00 48 89 45 d8 31 c0 83 3d 36 22 28 01 00 48 8b 47 08 89 f3 48 8b 78 50 74 5e <0f> b7 87 ae 00 00 00 25 00 f0 00 00 3d 00 80 00 00 75 4b e8 da 
RIP  [<ffffffff8124701a>] ima_counts_put+0x34/0xb1
 RSP <ffff880022955d78>
CR2: 00000000000000ae
---[ end trace ef72d8709f4d690d ]---
BUG: unable to handle kernel NULL pointer dereference at 00000000000000ae
IP: [<ffffffff8124701a>] ima_counts_put+0x34/0xb1
PGD 11a60067 PUD 104d8067 PMD 0 
Oops: 0000 [#2] SMP 
last sysfs file: /sys/devices/virtual/block/ram10/range
CPU 0 
Modules linked in: ext2 ipt_MASQUERADE iptable_nat nf_nat bridge stp llc nfsd lockd nfs_acl auth_rpcgss exportfs sunrpc ipv6 cpufreq_ondemand powernow_k8 freq_table dm_multipath snd_hda_codec_realtek snd_hda_intel snd_hda_codec snd_hwdep snd_pcm snd_timer amd64_edac_mod shpchp snd wmi edac_core soundcore i2c_piix4 k8temp snd_page_alloc hwmon joydev serio_raw pata_acpi ata_generic pata_atiixp tg3 floppy radeon ttm drm i2c_algo_bit i2c_core [last unloaded: scsi_wait_scan]
Pid: 16476, comm: lvremove Tainted: G      D    2.6.31-0.174.rc7.git2.fc12.x86_64 #1 HP xw4550 Workstation
RIP: 0010:[<ffffffff8124701a>]  [<ffffffff8124701a>] ima_counts_put+0x34/0xb1
RSP: 0018:ffff8800318d7d78  EFLAGS: 00010202
RAX: ffff88000f8b1ae8 RBX: 0000000000000006 RCX: 0000000045078aea
RDX: 0000000000000000 RSI: 0000000000000006 RDI: 0000000000000000
RBP: ffff8800318d7da8 R08: ffff8800318d7ce8 R09: ffff8800318d7d18
R10: 0000000045078aea R11: 0000000000000000 R12: 0000000000000026
R13: 0000000000000000 R14: ffff8800318d7e28 R15: fffffffffffffffa
FS:  00007f397dc7c7a0(0000) GS:ffff880004400000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00000000000000ae CR3: 000000002104a000 CR4: 00000000000006f0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Process lvremove (pid: 16476, threadinfo ffff8800318d6000, task ffff88000298a4a0)
Stack:
 ffff8800318d7da8 0000000045078aea 0000000000000026 000000000004c003
<0> 0000000000000026 0000000000000000 ffff8800318d7ef8 ffffffff8114e4b8
<0> 0000000000000000 ffff8800ffffff9c ffff88000298a4a0 ffff8800076bc798
Call Trace:
 [<ffffffff8114e4b8>] do_filp_open+0x534/0x9f3
 [<ffffffff8115a32c>] ? alloc_fd+0x4a/0x14b
 [<ffffffff811146c4>] ? might_fault+0x71/0xd9
 [<ffffffff8115a407>] ? alloc_fd+0x125/0x14b
 [<ffffffff8113f3f1>] do_sys_open+0x71/0x131
 [<ffffffff8113f51e>] sys_open+0x33/0x49
 [<ffffffff81012f42>] system_call_fastpath+0x16/0x1b
Code: 48 83 ec 18 0f 1f 44 00 00 65 48 8b 04 25 28 00 00 00 48 89 45 d8 31 c0 83 3d 36 22 28 01 00 48 8b 47 08 89 f3 48 8b 78 50 74 5e <0f> b7 87 ae 00 00 00 25 00 f0 00 00 3d 00 80 00 00 75 4b e8 da 
RIP  [<ffffffff8124701a>] ima_counts_put+0x34/0xb1
 RSP <ffff8800318d7d78>
CR2: 00000000000000ae
---[ end trace ef72d8709f4d690e ]---
BUG: unable to handle kernel NULL pointer dereference at 00000000000000ae
IP: [<ffffffff8124701a>] ima_counts_put+0x34/0xb1
PGD 11f19067 PUD 1480a067 PMD 0 
Oops: 0000 [#3] SMP 
last sysfs file: /sys/devices/virtual/block/ram15/range
CPU 1 
Modules linked in: ext2 ipt_MASQUERADE iptable_nat nf_nat bridge stp llc nfsd lockd nfs_acl auth_rpcgss exportfs sunrpc ipv6 cpufreq_ondemand powernow_k8 freq_table dm_multipath snd_hda_codec_realtek snd_hda_intel snd_hda_codec snd_hwdep snd_pcm snd_timer amd64_edac_mod shpchp snd wmi edac_core soundcore i2c_piix4 k8temp snd_page_alloc hwmon joydev serio_raw pata_acpi ata_generic pata_atiixp tg3 floppy radeon ttm drm i2c_algo_bit i2c_core [last unloaded: scsi_wait_scan]
Pid: 17543, comm: lvremove Tainted: G      D    2.6.31-0.174.rc7.git2.fc12.x86_64 #1 HP xw4550 Workstation
RIP: 0010:[<ffffffff8124701a>]  [<ffffffff8124701a>] ima_counts_put+0x34/0xb1
RSP: 0018:ffff880015ad5d78  EFLAGS: 00010202
RAX: ffff8800375bb0a8 RBX: 0000000000000006 RCX: 0000000077f339a0
RDX: 0000000000000000 RSI: 0000000000000006 RDI: 0000000000000000
RBP: ffff880015ad5da8 R08: ffff880015ad5ce8 R09: ffff880015ad5d18
R10: 0000000077f339a0 R11: 0000000000000000 R12: 0000000000000026
R13: 0000000000000000 R14: ffff880015ad5e28 R15: fffffffffffffffa
FS:  00007ffb81c1e7a0(0000) GS:ffff8800045de000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00000000000000ae CR3: 000000001b988000 CR4: 00000000000006e0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Process lvremove (pid: 17543, threadinfo ffff880015ad4000, task ffff880005280000)
Stack:
 ffff880015ad5da8 0000000077f339a0 0000000000000026 0000000000048003
<0> 0000000000000026 0000000000000000 ffff880015ad5ef8 ffffffff8114e4b8
<0> 0000000000000000 ffff8800ffffff9c ffff880005280000 ffff880025f0ea98
Call Trace:
 [<ffffffff8114e4b8>] do_filp_open+0x534/0x9f3
 [<ffffffff8115a32c>] ? alloc_fd+0x4a/0x14b
 [<ffffffff811146c4>] ? might_fault+0x71/0xd9
 [<ffffffff8115a407>] ? alloc_fd+0x125/0x14b
 [<ffffffff8113f3f1>] do_sys_open+0x71/0x131
 [<ffffffff8113f51e>] sys_open+0x33/0x49
 [<ffffffff81012f42>] system_call_fastpath+0x16/0x1b
Code: 48 83 ec 18 0f 1f 44 00 00 65 48 8b 04 25 28 00 00 00 48 89 45 d8 31 c0 83 3d 36 22 28 01 00 48 8b 47 08 89 f3 48 8b 78 50 74 5e <0f> b7 87 ae 00 00 00 25 00 f0 00 00 3d 00 80 00 00 75 4b e8 da 
RIP  [<ffffffff8124701a>] ima_counts_put+0x34/0xb1
 RSP <ffff880015ad5d78>
CR2: 00000000000000ae
---[ end trace ef72d8709f4d690f ]---
BUG: unable to handle kernel NULL pointer dereference at 00000000000000ae
IP: [<ffffffff8124701a>] ima_counts_put+0x34/0xb1
PGD 22db1067 PUD 1ac5e067 PMD 0 
Oops: 0000 [#4] SMP 
last sysfs file: /sys/devices/virtual/block/ram4/range
CPU 1 
Modules linked in: ext2 ipt_MASQUERADE iptable_nat nf_nat bridge stp llc nfsd lockd nfs_acl auth_rpcgss exportfs sunrpc ipv6 cpufreq_ondemand powernow_k8 freq_table dm_multipath snd_hda_codec_realtek snd_hda_intel snd_hda_codec snd_hwdep snd_pcm snd_timer amd64_edac_mod shpchp snd wmi edac_core soundcore i2c_piix4 k8temp snd_page_alloc hwmon joydev serio_raw pata_acpi ata_generic pata_atiixp tg3 floppy radeon ttm drm i2c_algo_bit i2c_core [last unloaded: scsi_wait_scan]
Pid: 18000, comm: lvremove Tainted: G      D    2.6.31-0.174.rc7.git2.fc12.x86_64 #1 HP xw4550 Workstation
RIP: 0010:[<ffffffff8124701a>]  [<ffffffff8124701a>] ima_counts_put+0x34/0xb1
RSP: 0018:ffff88001dd1fd78  EFLAGS: 00010202
RAX: ffff8800129d9c30 RBX: 0000000000000006 RCX: 00000000bb5e81ba
RDX: 0000000000000000 RSI: 0000000000000006 RDI: 0000000000000000
RBP: ffff88001dd1fda8 R08: ffff88001dd1fce8 R09: ffff88001dd1fd18
R10: 00000000bb5e81ba R11: 0000000000000000 R12: 0000000000000026
R13: 0000000000000000 R14: ffff88001dd1fe28 R15: fffffffffffffffa
FS:  00007fac72d9b7a0(0000) GS:ffff8800045de000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00000000000000ae CR3: 0000000013bfd000 CR4: 00000000000006e0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Process lvremove (pid: 18000, threadinfo ffff88001dd1e000, task ffff88001d6724a0)
Stack:
 ffff88001dd1fda8 00000000bb5e81ba 0000000000000026 0000000000048003
<0> 0000000000000026 0000000000000000 ffff88001dd1fef8 ffffffff8114e4b8
<0> 0000000000000000 ffff8800ffffff9c ffff88001d6724a0 ffff880025f0f518
Call Trace:
 [<ffffffff8114e4b8>] do_filp_open+0x534/0x9f3
 [<ffffffff8115a32c>] ? alloc_fd+0x4a/0x14b
 [<ffffffff811146c4>] ? might_fault+0x71/0xd9
 [<ffffffff8115a407>] ? alloc_fd+0x125/0x14b
 [<ffffffff8113f3f1>] do_sys_open+0x71/0x131
 [<ffffffff8113f51e>] sys_open+0x33/0x49
 [<ffffffff81012f42>] system_call_fastpath+0x16/0x1b
Code: 48 83 ec 18 0f 1f 44 00 00 65 48 8b 04 25 28 00 00 00 48 89 45 d8 31 c0 83 3d 36 22 28 01 00 48 8b 47 08 89 f3 48 8b 78 50 74 5e <0f> b7 87 ae 00 00 00 25 00 f0 00 00 3d 00 80 00 00 75 4b e8 da 
RIP  [<ffffffff8124701a>] ima_counts_put+0x34/0xb1
 RSP <ffff88001dd1fd78>
CR2: 00000000000000ae
---[ end trace ef72d8709f4d6910 ]---
BUG: unable to handle kernel NULL pointer dereference at 00000000000000ae
IP: [<ffffffff8124701a>] ima_counts_put+0x34/0xb1
PGD e507067 PUD 10f62067 PMD 0 
Oops: 0000 [#5] SMP 
last sysfs file: /sys/devices/virtual/block/ram5/range
CPU 0 
Modules linked in: ext2 ipt_MASQUERADE iptable_nat nf_nat bridge stp llc nfsd lockd nfs_acl auth_rpcgss exportfs sunrpc ipv6 cpufreq_ondemand powernow_k8 freq_table dm_multipath snd_hda_codec_realtek snd_hda_intel snd_hda_codec snd_hwdep snd_pcm snd_timer amd64_edac_mod shpchp snd wmi edac_core soundcore i2c_piix4 k8temp snd_page_alloc hwmon joydev serio_raw pata_acpi ata_generic pata_atiixp tg3 floppy radeon ttm drm i2c_algo_bit i2c_core [last unloaded: scsi_wait_scan]
Pid: 18150, comm: lvremove Tainted: G      D    2.6.31-0.174.rc7.git2.fc12.x86_64 #1 HP xw4550 Workstation
RIP: 0010:[<ffffffff8124701a>]  [<ffffffff8124701a>] ima_counts_put+0x34/0xb1
RSP: 0018:ffff880023d89d78  EFLAGS: 00010202
RAX: ffff88001c09f710 RBX: 0000000000000006 RCX: 0000000003683cd9
RDX: 0000000000000000 RSI: 0000000000000006 RDI: 0000000000000000
RBP: ffff880023d89da8 R08: ffff880023d89ce8 R09: ffff880023d89d18
R10: 0000000003683cd9 R11: 0000000000000000 R12: 0000000000000026
R13: 0000000000000000 R14: ffff880023d89e28 R15: fffffffffffffffa
FS:  00007fe18f8bd7a0(0000) GS:ffff880004400000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00000000000000ae CR3: 0000000025f60000 CR4: 00000000000006f0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Process lvremove (pid: 18150, threadinfo ffff880023d88000, task ffff8800185f8000)
Stack:
 ffff880023d89da8 0000000003683cd9 0000000000000026 000000000004c003
<0> 0000000000000026 0000000000000000 ffff880023d89ef8 ffffffff8114e4b8
<0> 0000000000000000 ffff8800ffffff9c ffff8800185f8000 ffff88002119fc18
Call Trace:
 [<ffffffff8114e4b8>] do_filp_open+0x534/0x9f3
 [<ffffffff8115a32c>] ? alloc_fd+0x4a/0x14b
 [<ffffffff811146c4>] ? might_fault+0x71/0xd9
 [<ffffffff8115a407>] ? alloc_fd+0x125/0x14b
 [<ffffffff8113f3f1>] do_sys_open+0x71/0x131
 [<ffffffff8113f51e>] sys_open+0x33/0x49
 [<ffffffff81012f42>] system_call_fastpath+0x16/0x1b
Code: 48 83 ec 18 0f 1f 44 00 00 65 48 8b 04 25 28 00 00 00 48 89 45 d8 31 c0 83 3d 36 22 28 01 00 48 8b 47 08 89 f3 48 8b 78 50 74 5e <0f> b7 87 ae 00 00 00 25 00 f0 00 00 3d 00 80 00 00 75 4b e8 da 
RIP  [<ffffffff8124701a>] ima_counts_put+0x34/0xb1
 RSP <ffff880023d89d78>
CR2: 00000000000000ae
---[ end trace ef72d8709f4d6911 ]---
BUG: unable to handle kernel NULL pointer dereference at 00000000000000ae
IP: [<ffffffff8124701a>] ima_counts_put+0x34/0xb1
PGD 1e42d067 PUD 14087067 PMD 0 
Oops: 0000 [#6] SMP 
last sysfs file: /sys/devices/virtual/block/ram4/range
CPU 1 
Modules linked in: ext2 ipt_MASQUERADE iptable_nat nf_nat bridge stp llc nfsd lockd nfs_acl auth_rpcgss exportfs sunrpc ipv6 cpufreq_ondemand powernow_k8 freq_table dm_multipath snd_hda_codec_realtek snd_hda_intel snd_hda_codec snd_hwdep snd_pcm snd_timer amd64_edac_mod shpchp snd wmi edac_core soundcore i2c_piix4 k8temp snd_page_alloc hwmon joydev serio_raw pata_acpi ata_generic pata_atiixp tg3 floppy radeon ttm drm i2c_algo_bit i2c_core [last unloaded: scsi_wait_scan]
Pid: 18294, comm: lvremove Tainted: G      D    2.6.31-0.174.rc7.git2.fc12.x86_64 #1 HP xw4550 Workstation
RIP: 0010:[<ffffffff8124701a>]  [<ffffffff8124701a>] ima_counts_put+0x34/0xb1
RSP: 0018:ffff8800067cbd78  EFLAGS: 00010202
RAX: ffff880011bbe8f8 RBX: 0000000000000006 RCX: 000000008b99533c
RDX: 0000000000000000 RSI: 0000000000000006 RDI: 0000000000000000
RBP: ffff8800067cbda8 R08: ffff8800067cbce8 R09: ffff8800067cbd18
R10: 000000008b99533c R11: 0000000000000000 R12: 0000000000000026
R13: 0000000000000000 R14: ffff8800067cbe28 R15: fffffffffffffffa
FS:  00007f75698c37a0(0000) GS:ffff8800045de000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00000000000000ae CR3: 0000000010f5f000 CR4: 00000000000006e0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Process lvremove (pid: 18294, threadinfo ffff8800067ca000, task ffff88001b504940)
Stack:
 ffff8800067cbda8 000000008b99533c 0000000000000026 000000000004c003
<0> 0000000000000026 0000000000000000 ffff8800067cbef8 ffffffff8114e4b8
<0> 0000000000000000 ffff8800ffffff9c ffff88001b504940 ffff8800076bea98
Call Trace:
 [<ffffffff8114e4b8>] do_filp_open+0x534/0x9f3
 [<ffffffff8115a32c>] ? alloc_fd+0x4a/0x14b
 [<ffffffff811146c4>] ? might_fault+0x71/0xd9
 [<ffffffff8115a407>] ? alloc_fd+0x125/0x14b
 [<ffffffff8113f3f1>] do_sys_open+0x71/0x131
 [<ffffffff8113f51e>] sys_open+0x33/0x49
 [<ffffffff81012f42>] system_call_fastpath+0x16/0x1b
Code: 48 83 ec 18 0f 1f 44 00 00 65 48 8b 04 25 28 00 00 00 48 89 45 d8 31 c0 83 3d 36 22 28 01 00 48 8b 47 08 89 f3 48 8b 78 50 74 5e <0f> b7 87 ae 00 00 00 25 00 f0 00 00 3d 00 80 00 00 75 4b e8 da 
RIP  [<ffffffff8124701a>] ima_counts_put+0x34/0xb1
 RSP <ffff8800067cbd78>
CR2: 00000000000000ae
---[ end trace ef72d8709f4d6912 ]---
BUG: unable to handle kernel NULL pointer dereference at 00000000000000ae
IP: [<ffffffff8124701a>] ima_counts_put+0x34/0xb1
PGD 25fab067 PUD d08b067 PMD 0 
Oops: 0000 [#7] SMP 
last sysfs file: /sys/devices/virtual/block/ram10/range
CPU 1 
Modules linked in: ext2 ipt_MASQUERADE iptable_nat nf_nat bridge stp llc nfsd lockd nfs_acl auth_rpcgss exportfs sunrpc ipv6 cpufreq_ondemand powernow_k8 freq_table dm_multipath snd_hda_codec_realtek snd_hda_intel snd_hda_codec snd_hwdep snd_pcm snd_timer amd64_edac_mod shpchp snd wmi edac_core soundcore i2c_piix4 k8temp snd_page_alloc hwmon joydev serio_raw pata_acpi ata_generic pata_atiixp tg3 floppy radeon ttm drm i2c_algo_bit i2c_core [last unloaded: scsi_wait_scan]
Pid: 18687, comm: lvremove Tainted: G      D    2.6.31-0.174.rc7.git2.fc12.x86_64 #1 HP xw4550 Workstation
RIP: 0010:[<ffffffff8124701a>]  [<ffffffff8124701a>] ima_counts_put+0x34/0xb1
RSP: 0018:ffff8800067cbd78  EFLAGS: 00010202
RAX: ffff880017f05338 RBX: 0000000000000006 RCX: 00000000b4b105df
RDX: 0000000000000000 RSI: 0000000000000006 RDI: 0000000000000000
RBP: ffff8800067cbda8 R08: ffff8800067cbce8 R09: ffff8800067cbd18
R10: 00000000b4b105df R11: 0000000000000000 R12: 0000000000000026
R13: 0000000000000000 R14: ffff8800067cbe28 R15: fffffffffffffffa
FS:  00007fdbd7b757a0(0000) GS:ffff8800045de000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00000000000000ae CR3: 000000001d7eb000 CR4: 00000000000006e0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Process lvremove (pid: 18687, threadinfo ffff8800067ca000, task ffff8800108d4940)
Stack:
 ffff8800067cbda8 00000000b4b105df 0000000000000026 000000000004c003
<0> 0000000000000026 0000000000000000 ffff8800067cbef8 ffffffff8114e4b8
<0> 0000000000000000 ffff8800ffffff9c ffff8800108d4940 ffff88002119c418
Call Trace:
 [<ffffffff8114e4b8>] do_filp_open+0x534/0x9f3
 [<ffffffff8115a32c>] ? alloc_fd+0x4a/0x14b
 [<ffffffff811146c4>] ? might_fault+0x71/0xd9
 [<ffffffff8115a407>] ? alloc_fd+0x125/0x14b
 [<ffffffff8113f3f1>] do_sys_open+0x71/0x131
 [<ffffffff8113f51e>] sys_open+0x33/0x49
 [<ffffffff81012f42>] system_call_fastpath+0x16/0x1b
Code: 48 83 ec 18 0f 1f 44 00 00 65 48 8b 04 25 28 00 00 00 48 89 45 d8 31 c0 83 3d 36 22 28 01 00 48 8b 47 08 89 f3 48 8b 78 50 74 5e <0f> b7 87 ae 00 00 00 25 00 f0 00 00 3d 00 80 00 00 75 4b e8 da 
RIP  [<ffffffff8124701a>] ima_counts_put+0x34/0xb1
 RSP <ffff8800067cbd78>
CR2: 00000000000000ae
---[ end trace ef72d8709f4d6913 ]---

This BUG() assertion did not halt the system, it continued to run the rest of the queued jobs.


I'm not sure why the kernel is showing up as tainted, this is just a stock RHTS install.

Version-Release number of selected component (if applicable):
2.6.31-0.174.rc7.git2.fc12.x86_64
RHEL6.0-20090909.7

How reproducible:
not certain

Steps to Reproduce:
1.start rhts job running /kernel/storage/lvm/snapshot_remove
2.
3.
  
Actual results:


Expected results:
no BUG() warnings from the kernel, the unable to allocation exception messages are normal for this test.

Additional info:
https://rhts.redhat.com/testlogs/2009/09/88907/259140/2109498/console.txt
possibly related to bz 523264

Comment 2 RHEL Product and Program Management 2009-09-14 17:07:02 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 3 Mike Gahagan 2010-07-06 18:53:11 UTC
No longer hitting this after testing in snapshot 7 candidate (-42 kernel)


Note You need to log in before you can comment on or make changes to this bug.